Bug 435125 - Review Request: xerces-c27 - Compatibility package for Xerces C++ 2.7.0
Review Request: xerces-c27 - Compatibility package for Xerces C++ 2.7.0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 434487
  Show dependency treegraph
 
Reported: 2008-02-27 10:35 EST by Xavier Bachelot
Modified: 2008-03-08 07:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 07:41:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-02-27 10:35:35 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/xerces-c27.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/xerces-c27-2.7.0-4.fc8.src.rpm
Description: Compatibility package for Xerces C++ 2.7.0

This is needed for perl-XML-Xerces-2.7.0 which cannot be rebuild against xerces-c-2.8.0
Comment 1 Tom "spot" Callaway 2008-03-07 16:06:26 EST
Review
=======

Good:

- rpmlint checks return:
xerces-c27-devel.x86_64: W: no-documentation
xerces-c27-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/xerces-c-2.7.0/libxerces-c.so ../libxerces-c.so.27
xerces-c27-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/xerces-c-2.7.0/libxerces-depdom.so ../libxerces-depdom.so.27
xerces-c27-devel.x86_64: E: only-non-binary-in-usr-lib

All are safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- doc subpackage OK
- nothing in %doc affects runtime
- no need for .desktop file
- devel subpackage OK, depends on base package

Approved.
Comment 2 Xavier Bachelot 2008-03-07 16:15:49 EST
Wow, you're fast. Thanks Spot.

New Package CVS Request
=======================
Package Name: xercesc-27
Short Description: Compatibility package for Xerces C++ 2.7.0
Owners: xavierb
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 3 Tom "spot" Callaway 2008-03-07 16:28:58 EST
cvs done.

please get this built in rawhide asap. :)
Comment 4 Xavier Bachelot 2008-03-07 18:45:46 EST
Sorry, I made a typo in the above cvs request. It should read
Package Name: xerces-c27
instead of
Package Name: xercesc-27

Can someone please fix this ?
Comment 5 Toshio Ernie Kuratomi 2008-03-07 19:34:28 EST
Done.  Let us know if there's any more troubles.
Comment 6 Xavier Bachelot 2008-03-08 07:41:10 EST
All is fine now, thanks Toshio :-) For the record, I had to fix devel/Makefile
(s/xercesc-27/xerces-c27/) to be able to import the srpm.

Imported and built for devel.

Note You need to log in before you can comment on or make changes to this bug.